Results 1 to 7 of 7

Thread: Upgrade OS X 10.4 to 10.5 breaks zimbra

Hybrid View

  1. #1
    Join Date
    Oct 2007
    Posts
    13
    Rep Power
    8

    Default Upgrade OS X 10.4 to 10.5 breaks zimbra

    I have just tried a standard upgrade from 10.4.10 to 10.5 and my zimbra no longer runs:
    --------------------------------
    zmcontrol start
    Starting ldap...Done.
    Starting logger...Done.
    Starting mailbox...Done.
    Starting antispam...Done.
    Starting antivirus...FAILED
    ClamAV update process started at Tue Oct 30 16:51:41 2007
    SECURITY WARNING: NO SUPPORT FOR DIGITAL SIGNATURES
    See the FAQ at Clam AntiVirus for an explanation.
    WARNING: Your ClamAV installation is OUTDATED!
    WARNING: Local version: 0.91.1 Recommended version: 0.91.2
    DON'T PANIC! Read Clam AntiVirus
    main.inc is up to date (version: 44, sigs: 133163, f-level: 20, builder: sven)
    daily.inc is up to date (version: 4641, sigs: 29841, f-level: 21, builder: ccordes)
    clamd failed to start


    Starting spell...Done.
    Starting mta...FAILED
    postmap: fatal: file /opt/zimbra/postfix-2.2.9/conf/main.cf: parameter mail_owner: user postfix has same user ID as _postfix
    postalias: fatal: file /opt/zimbra/postfix-2.2.9/conf/main.cf: parameter mail_owner: user postfix has same user ID as _postfix
    postfix failed to start


    Starting stats...Done.
    --------------------------------

    Any ideas? Should I log this as a bug or did I do something wrong?

    Thanks,
    Gregor
    Last edited by gbrandt; 10-30-2007 at 05:49 PM.

  2. #2
    Join Date
    Mar 2006
    Location
    Beaucaire, France
    Posts
    2,322
    Rep Power
    13

  3. #3
    phoenix is offline Zimbra Consultant & Moderator
    Join Date
    Sep 2005
    Location
    Vannes, France
    Posts
    23,587
    Rep Power
    58

    Default

    Quote Originally Posted by gbrandt View Post
    Any ideas?
    Read the link that Klug posted.

    Quote Originally Posted by gbrandt View Post
    Should I log this as a bug or did I do something wrong?
    You can certainly vote on the bugzilla entry for Leopard support. You should reinstall 10.4.10 then recover your Zimbra installation from a backup (you did take a backup, didn't you?).
    Regards


    Bill


    Acompli: A new adventure for Co-Founder KevinH.

  4. #4
    Join Date
    Oct 2006
    Posts
    45
    Rep Power
    9

    Default

    Quote Originally Posted by gbrandt View Post
    I have just tried a standard upgrade from 10.4.10 to 10.5 and my zimbra no longer runs:
    ...
    Starting mta...FAILED
    postmap: fatal: file /opt/zimbra/postfix-2.2.9/conf/main.cf: parameter mail_owner: user postfix has same user ID as _postfix
    postalias: fatal: file /opt/zimbra/postfix-2.2.9/conf/main.cf: parameter mail_owner: user postfix has same user ID as _postfix
    postfix failed to start


    Starting stats...Done.
    --------------------------------

    Any ideas? Should I log this as a bug or did I do something wrong?

    Thanks,
    Gregor
    OK, After losing a days worth of email :-( I think I have this working. I would be very careful though - don't blame me if you lose anything.

    I am still running 4.5.6 OSS; with Zimbra stopped, I edited my postfix/conf/main.cf file to contain:
    mail_owner = _postfix
    setgid_group = _postdrop

    and then ran libexec/zmfixperms as the zimbra user and it appears to work for me. Note that I don't use Zimbra as a normal MTA, but use the external POP access to retrieve email. It may not work in a more normal scenario. I also haven't tested extensively, so there may be other issues as well!

    Lastly, I didn't have the anti-virus or anti-spam showing as failed as the original thread did; I haven't looked into that as yet.

    Cheers,
    David

  5. #5
    Join Date
    Oct 2005
    Location
    Thatcher, AZ
    Posts
    5,606
    Rep Power
    21

    Default

    I'm really glad you got it working!

    Just as an fyi, in 10.5, I think apple will update java to 1.6.
    If they do, make sure you do not download the update, as it will probably not work at first.

  6. #6
    Join Date
    Oct 2006
    Posts
    45
    Rep Power
    9

    Default

    Thanks for the heads up. I upgraded to Leopard and my default JVM is 1.5. (Whether those two are linked or not I don't know). I'll keep on 1.5 until Zimbra is formally supported :-)

    Cheers,
    David

  7. #7
    Join Date
    Oct 2006
    Posts
    45
    Rep Power
    9

    Default

    Scratch that. It is working some of the time, but not all.

    What I am seeing is that (for a subset of messages bizarrely) email comes in, you see the message in the message list, but clicking on that message reports that there is no such message. Looking through the log files to try and work out what is happening now.

    UPDATE: Well, I am going to contradict myself again - it is all working, the disappearing messages were due to Apple Mail which had decided to move all email into it's Spam folder, so I do believe the above steps fix things.
    Last edited by davidh; 11-09-2007 at 01:07 AM.

Similar Threads

  1. zmtlsctl give LDAP error
    By sourcehound in forum Administrators
    Replies: 5
    Last Post: 03-11-2007, 04:48 PM
  2. 4.5 Upgrade failure
    By brained in forum Installation
    Replies: 9
    Last Post: 03-03-2007, 03:30 PM
  3. Replies: 8
    Last Post: 02-27-2007, 04:10 AM
  4. zimbra-core missing
    By kinaole in forum Developers
    Replies: 1
    Last Post: 10-02-2006, 12:59 PM
  5. FC3 Install and no zimbra ?
    By aws in forum Installation
    Replies: 10
    Last Post: 10-09-2005, 05:19 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •